Page MenuHomePhabricator

extracting Mobile App info in webrequest {hawk} [8 pts]
Closed, ResolvedPublic

Description

Discussion notes on counting pageviews for mobile apps: http://etherpad.wikimedia.org/p/PV_Analytics_Infra

What would be the most effective way to extract the info after the slash in:

WikipediaApp/2.0-r-2015-04-23 (Android 5.0.1; Phone) Google Play
WikipediaApp/4.1.2 (iPhone OS 8.3; Tablet)

So that it can be easily queried against? We could add it to the refined tables or simply use regex in Hive to get what's needed.

Based on tasking meeting http://etherpad.wikimedia.org/p/analytics-tasking,
It makes sense to add it to the map of the UA field
Work:

  • make special case in wrapper of UA parser to handle this

Event Timeline

kevinator updated the task description. (Show Details)
kevinator raised the priority of this task from to Normal.
kevinator assigned this task to JAllemandou.
kevinator added a subscriber: kevinator.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2015, 5:53 PM
kevinator set Security to None.May 21 2015, 5:55 PM
kevinator added subscribers: dr0ptp4kt, Dbrant, Fjalapeno.
kevinator renamed this task from Assess how to extract Mobile App info in webrequest to Assess how to extract Mobile App info in webrequest [8 pts].Jun 1 2015, 4:25 PM
kevinator reassigned this task from JAllemandou to mforns.
kevinator renamed this task from Assess how to extract Mobile App info in webrequest [8 pts] to Assess how to extract Mobile App info in webrequest [8 pts] {hawk}.Jun 2 2015, 10:06 PM
Milimetric renamed this task from Assess how to extract Mobile App info in webrequest [8 pts] {hawk} to Assess how to extract Mobile App info in webrequest {hawk} [8 pts].Jun 3 2015, 8:55 PM

Change 216060 had a related patch set uploaded (by Mforns):
Add app version to user agent map

https://gerrit.wikimedia.org/r/216060

ggellerman renamed this task from Assess how to extract Mobile App info in webrequest {hawk} [8 pts] to extracting Mobile App info in webrequest {hawk} [8 pts].Jun 9 2015, 3:32 PM

Change 216060 merged by Ottomata:
Add app version to user agent map

https://gerrit.wikimedia.org/r/216060

Change 217226 had a related patch set uploaded (by Joal):
Correct UAParser not to fail for malformed wmf_app

https://gerrit.wikimedia.org/r/217226

Change 217229 had a related patch set uploaded (by Joal):
Add 2 fields and 1 update to refine table

https://gerrit.wikimedia.org/r/217229

Change 217226 merged by Ottomata:
Correct UAParser not to fail for malformed wmf_app

https://gerrit.wikimedia.org/r/217226

Change 217229 merged by Ottomata:
Add 2 fields and 1 field update to refine table

https://gerrit.wikimedia.org/r/217229

kevinator closed this task as Resolved.Jun 11 2015, 9:03 PM

verified. Example user_agent_map found in the logs:
{"browser_major":"4","os_family":"Android","os_major":"4","device_family":"Other","browser_family":"Android","os_minor":"4","wmf_app_version":"2.0.102-r-2015-05-14"}